Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
configuration
/
rating
/
presets
List Configuration Rating Presets
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/rating/presets \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440100",
      "coverageTypeKey": "general_liability",
      "setName": "$1M/$2M GL",
      "isDefault": true,
      "limits": {
        "limits": [
          {
            "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
            "name": "Per Occurrence",
            "amount": 1000000
          },
          {
            "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
            "name": "Aggregate",
            "amount": 2000000
          }
        ],
        "allowLimitEdits": true
      },
      "defenseInsideLimit": "outside",
      "deductible": 5000,
      "retroactiveDate": "2024-01-15",
      "waitingPeriodSettings": null,
      "deductibleSettings": {
        "defaultAmount": {
          "path": "policy.ratingData.data.retention.value"
        }
      },
      "limitSettings": null,
      "retroactiveDateSettings": null,
      "priorPendingLitigationDateSettings": null,
      "createdAt": "2025-01-15T10:30:00.000+00:00",
      "updatedAt": "2025-01-15T10:30:00.000+00:00"
    }
  ],
  "totalCount": 1
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

coverageTypeKey
string

Filter by coverage type key (exact match)

id

Filter by preset ID (single UUID or array of UUIDs)

sortBy
enum<string>
default:createdAt

Field to sort by (default createdAt)

Available options:
createdAt,
updatedAt
sortDirection
enum<string>
default:desc

Sort direction (default desc)

Available options:
asc,
desc
page
integer
default:1

Page number (1-based, default 1, page size 50)

Required range: x >= 1

Response

Paginated list of coverage limit presets

items
object[]
required
totalCount
integer
required

Total number of matching presets across all pages